This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 429184 - Kernel "forgets" to auto assemble deferred md1 mirror set
Kernel "forgets" to auto assemble deferred md1 mirror set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 15:02 EST by Bryan Christ
Modified: 2009-01-09 00:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2008-01-17 15:02:28 EST
Description of problem:

After passing in the boot flags md=1,/dev/sda2,/dev/sdb2 the kernel appears to
defer auto assembly, but never completes the task.
(from dmesg) "md: Will configure md1 (super-block) from /dev/sda2,/dev/sdb2, below."

However, mirror set md0 does get assembled without kernel flags.
(from dmesg) "raid1: raid set md0 active with 2 out of 2 mirrors"

Version-Release number of selected component (if applicable):

Linux version 2.6.23.9-85.fc8

How reproducible: 100%

Steps to Reproduce:
1.  Install 2 120GB sata drives and boot to F8 in rescue mode.
2.  Partition each into 60GB drives with partition type 0xfd
3.  Set sda1 and sdb1 as bootable.
4.  Create arrays with:
       mdadm -C /dev/md0 -n 2 -l 1 /dev/sda1 /dev/sdb1
       mdadm -C /dev/md1 -n 2 -l 1 /dev/sda2 /dev/sdb2
5.  Install F8 (used Unity Respin x86-64) with /dev/md0 as /
6.  Reboot
7.  Kernel auto assembles md0 correctly and boots, but md1 does not get assembled.
8.  Modify grub.conf entry with kernel flag: md=1,/dev/sda2,/dev/sdb2
  
Actual results:

no assembly of md1

Expected results:

assembly of md1

Additional info:
Comment 1 Chuck Ebbert 2008-01-17 16:44:09 EST
I think you need to put the devices in mdadm.conf. Here is what is in mine:

DEVICE /dev/sda6 /dev/sdb6 /dev/sda11 /dev/sdb11
ARRAY  /dev/md0 level=0 devices=/dev/sda6,/dev/sdb6
ARRAY  /dev/md1 level=1 devices=/dev/sda11,/dev/sdb11
Comment 2 Bryan Christ 2008-01-17 16:49:44 EST
Isn't mdadm.conf and/or /etc/raidtab unnecessary with persistent super-blocks?
Comment 3 Yves Perrenoud 2008-02-13 04:19:24 EST
So I just upgraded from FC6 to F8. The FC6 kernel auto detected my array (as the
constituent partitions are of type "fd") and auto-assembled it, as it's suppose
to. In fact, the FC6 kernel outputs this message when it startups (whether you
have md arrays or not):

md: Autodetecting RAID arrays.

However, with F8, md is no longer auto-detecting and auto-assembling anything.
The kernel doesn't output any message with regard to attempting to autodetect.
The FC6 kernel used to also mention that it was stopping md devices on shutdown,
no longer the case with F8 either.

Sure, I've added an ARRAY statement in /etc/mdadm.conf which triggers rc.sysinit
to execute "mdadm -A -s", and with the ARRAY entry in the config, mdadm succeeds
in assembling the array of course. However, this precludes the use of an md
array as rootfs (/), which is real shame.

What has changed with md between FC6 and F8? Is it a superblock type issue or
something? My superblock is of of version "00.90.03", which according to the
mdadm manpage is still the default (even though version-1 exists).
Comment 4 Jon Masters 2008-02-13 04:25:40 EST
Sounds like you're not using an initrd to do the mdadm. Root RAID without an
initrd on Fedora is far from trivial :)
Comment 5 Bryan Christ 2008-02-13 10:34:19 EST
Chuck, Jon,

What about my response in comment#2?  Isn't that true?
Comment 6 Chuck Ebbert 2008-02-29 17:54:33 EST
Auto-assemble has been removed from the kernel. The initrd should be assembling
all the arrays needed to boot the system. You could try to rebuild the initrd
(with the arrays assembled and mounted) and see if that fixes the problem, as
arrays added after the initrd was built won't be in its list.
Comment 7 Bryan Christ 2008-03-03 11:31:56 EST
Can I ask why this was removed from the kernel and placed into initrd?  I
understand this strategy with drivers because almost every user system is
uniquely distinct, but mdraid is really common--and probably getting even more
so as time goes on.
Comment 8 Bug Zapper 2008-11-26 04:28:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 00:48:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.